%define __check_files %{nil}

# CPU optimization
##################
%if 0%{?avx:1}
%define target_processor .avx
%define configure_opts --enable-sse3 --enable-sse4 --enable-avx --with-instruction-set=avx
%else

%if 0%{?sse4:1}
%define target_processor .sse4
%define configure_opts --enable-sse3 --enable-sse4 --disable-avx --with-instruction-set=sse4
%else

%if 0%{?sse3:1}
%define target_processor .sse3
%define configure_opts --enable-sse3 --disable-sse4 --disable-avx --with-instruction-set=sse3
%else
%define configure_opts --disable-sse3 --disable-sse4 --disable-avx --with-instruction-set=sse2
%endif  # sse3

%endif  # sse4

%endif  # avx
##################

Summary: A Java programming language debugging tool.
Name: heapstats_agent
Version: 1.1.3
%define DIST_EXT %{?dist:%{dist}}%{!?dist:.el5}
Release: 0%{?target_processor:%{target_processor}}%{DIST_EXT}
License: GPLv2
Vendor: NTT OSS Center
Group: Development/Debuggers
Source: heapstats-%{version}.tar.gz
#Patch0: none
Buildroot: /var/tmp/heapstats

# Requires for running
Requires: pcre >= 6
Requires: net-snmp-libs >= 5.3

# Requires for building
BuildRequires: pcre-devel >= 6
BuildRequires: net-snmp-devel >= 5.3
#BuildRequires: java-1.6.0-openjdk-devel
BuildRequires: /usr/lib/jvm/java-openjdk/bin/javac
BuildRequires: binutils >= 2
BuildRequires: binutils-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%description
this program analyzes running information in JVM.
Copyright (C) 2011-2015 Nippon Telegraph and Telephone Corporation.

%prep
%setup -q -n heapstats-1.1/agent

%build
CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
  --build=%{_build} \
  --host=%{_host} \
  --target=%{_target_platform} \
  --prefix=%{_prefix} \
  --libdir=%{_libdir}/heapstats \
  --sysconfdir=%{_sysconfdir}/heapstats \
  --disable-vmstructs \
  %{configure_opts} \
  --enable-debug \
  --enable-optimize \
  --without-gcov \
  --disable-profile
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/heapstats
make install DESTDIR=${RPM_BUILD_ROOT}
mkdir $RPM_BUILD_ROOT/etc/ld.so.conf.d/
echo "%{_libdir}/heapstats" \
  >> $RPM_BUILD_ROOT/etc/ld.so.conf.d/heapstats_agent.conf
mkdir -p $RPM_BUILD_ROOT/usr/share/snmp/mibs/
cp ./mib/HeapStatsMibs.txt $RPM_BUILD_ROOT/usr/share/snmp/mibs/


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir %{_libdir}/heapstats/
%{_libdir}/heapstats/libheapstats*.so*
%doc NEWS README COPYING AUTHORS ChangeLog
%dir %{_sysconfdir}/heapstats/
%config(missingok) %{_sysconfdir}/heapstats/heapstats.conf
%{_sysconfdir}/heapstats/attachjvm.sh
%{_sysconfdir}/heapstats/AgentAttacher.jar
/etc/ld.so.conf.d/heapstats_agent.conf
/usr/share/snmp/mibs/HeapStatsMibs.txt

%changelog
* Fri May 28 2015 KUBOTA Yuji <kubota.yuji@lab.ntt.co.jp> 1.1.3
- Update official Private Enterprise Number for SNMP.
 - Change the configured PEN from 123456 to 45156 if you use SNMP trap by your tools.
- Change default settings to resolve the below bugs.
 - Bug 2017: JVM may crash with taking interval SnapShot when concurrent GC is occurred.
  - snapshot_interval is set 0 forcibly if you use concurrent GC.
 - Bug 2114: Default values are different from binary-builtin and heapstats.conf.
  - Default values of binary-builtin are changed to same value as the default of heapstats.conf.
- And fixes some other bugs.

* Fri Aug 22 2014 KUBOTA Yuji <kubota.yuji@lab.ntt.co.jp> 1.1.2
- HeapStats agent supports systemd/journald.
- Some bug fixes.

* Mon Mar 31 2014 KUBOTA Yuji <kubota.yuji@lab.ntt.co.jp> 1.1.1
- Performance improvement from 1.1.0-1.
- HeapStats agent supports JDK8 GA features.
- HeapStats changes Logo.
- Some bug fixes.

* Sat Oct 26 2013 Yasumasa Suenaga <suenaga.yasumasa@lab.ntt.co.jp> 1.1.0-1
- RPM of HeapStats 1.1 agent is not contained MIB.

* Mon Sep 09 2013 Yasumasa Suenaga <suenaga.yasumasa@lab.ntt.co.jp> 1.1.0
- Initial Release

